# Product Categories

Product Categories

 - [GET /productCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/listproductcategories.md): This method will scan all product categories and and return them to the caller.
 - [POST /productCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/createproductcategory.md): This method will auto-generate an ID and create a new product category. If an ID is specified for the product category, an error will be thrown.
 - [POST /productCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/deleteproductcategory.md): This method will delete a product category with the specified ID.
 - [GET /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/getproductcategory.md): This method will look up a product category by the specified ID and return it back.
 - [PATCH /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/patchproductcategory.md): This method will patch an existing product category with the specified ID, using the HTTP PATCH specification.
 - [PUT /productCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-categories/updateproductcategory.md): This method will update an existing product category with the specified ID.
